package com.intland.codebeamer.functionaltest.page;
import com.codeborne.selenide.WebDriverRunner;
import com.intland.codebeamer.functionaltest.page.wiki.ProjectWikiPage;
import org.openqa.selenium.By;

import java.util.concurrent.TimeUnit;

import static com.codeborne.selenide.Condition.visible;
import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.page;

/**
 * Copyright by Intland Software
 *
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 */
public class RepositorySettingsPage extends BasePage {

    public ProjectWikiPage clickOnFinish() {
        WebDriverRunner.getWebDriver().manage().timeouts().pageLoadTimeout(120, TimeUnit.SECONDS);
        $("#finishButton").click();
        $(By.linkText("Wiki")).waitUntil(visible, 120000);
        WebDriverRunner.getWebDriver().manage().timeouts().pageLoadTimeout(30, TimeUnit.SECONDS);
        return page(ProjectWikiPage.class);
    }

    public void fillRepositoryName(String name){
        $("#repositoryName").setValue(name);
    }

    public void fillUrl(String url){
        $("#repository").setValue(url);
    }

    public void fillUser(String user){
        $("#user").setValue(user);
    }

    public void fillPassword(String password){
        $("#password").setValue(password);
    }
}
